# Generated by Django 5.0.4 on 2024-05-12 11:54

from django.db import migrations

from district.blocks import NewsletterBlock


def add_newsletter_blocks(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if not home_page.newsletter_list_id:
            continue

        home_page.content.append(("newsletter_block", NewsletterBlock().to_python({})))

        home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0196_auto_20240509_1227"),
    ]

    operations = [migrations.RunPython(add_newsletter_blocks)]
